Could not find linker "MacOS 68K Linker" for target xxxx.rsrc.68k

Could not find linker "MacOS 68K Linker" for target xxxx.rsrc.68k

Post by Gene Kochanows » Sat, 18 May 2002 05:17:53



Greetings,

I have to create a plug-in for PageMaker 6.5+. I am trying to compile
the sample applications that came with the SDK and get the message

Could not find linker "MacOS 68K Linker" for target xxxx.rsrc.68k

I am using Codewarrior 7 on a PPC with MacOS 9.2. From previous posts
I have come to learn that CodeWarrior 6 was the last version to
include a 68K Linker. How can I get a 68K linker for versions 7 and 8?

Gene

 
 
 

Could not find linker "MacOS 68K Linker" for target xxxx.rsrc.68k

Post by MW Ro » Sat, 18 May 2002 10:06:28




Quote:>Greetings,

>I have to create a plug-in for PageMaker 6.5+. I am trying to compile
>the sample applications that came with the SDK and get the message

>Could not find linker "MacOS 68K Linker" for target xxxx.rsrc.68k

>I am using Codewarrior 7 on a PPC with MacOS 9.2. From previous posts
>I have come to learn that CodeWarrior 6 was the last version to
>include a 68K Linker. How can I get a 68K linker for versions 7 and 8?

You can't,  we stopped shipping the 68k compilers with CodeWarrior 6.  
If you have CodeWarrior 6 you can use the  68k plugins with CodeWarrior.  

Copy over the 68K compiler, linker, and preference panel plug-ins from
CodeWarrior 6.x  
Rebuilt the 68K libraries using CodeWarrior 7 using updated targets from
the CodeWarrior 6 projects.
Make a MacHeaders68K.pch precompiled header file that contains
MacHeaders.c and precompile it.  (Use the previous version as a guide)

You probably will want to create your own stationery for these projects
by updating the stationery you previously used and moving it to the
(Project Stationery) folder.    Be sure to remove the data folder after
you update the projects.

Ron

--
  Announcing Special Pre-Order Sale for CodeWarrior 8
           Expires Midnight May 30, 2002
   http://www.metrowerksstore.com/codformacosp.html

 Metrowerks, maker of CodeWarrior  -  "Software Starts Here"  


 
 
 

Could not find linker "MacOS 68K Linker" for target xxxx.rsrc.68k

Post by Toby Thai » Sun, 19 May 2002 19:39:37



> Greetings,

> I have to create a plug-in for PageMaker 6.5+. I am trying to compile
> the sample applications that came with the SDK and get the message

> Could not find linker "MacOS 68K Linker" for target xxxx.rsrc.68k

> I am using Codewarrior 7 on a PPC with MacOS 9.2. From previous posts
> I have come to learn that CodeWarrior 6 was the last version to
> include a 68K Linker. How can I get a 68K linker for versions 7 and 8?

The PageMaker SDK surely supports PPC plugins?

(Perhaps that file is actually a resource file [".rsrc"], in which case
it probably just needs merging, and the IDE is getting confused my the
apparent ".68k"  extension?)

But it IS very disappointing that MW has dropped 68K support, especially
since CW used to be uniquely useful for cross-platform development
(Mac->Win, embedded, etc.) Maybe they'll put old (pre-Carbon?) CW
versions in the public domain :)

T

Quote:

> Gene